/*
 * socketbase_in_context.h
 *
 * Author: Tomi Ollila <too@cs.hut.fi>
 *
 * Copyright (c) 1993 AmiTCP/IP Group, <amitcp-group@hut.fi>
 *                    All rights reserved.
 *
 * Created: Mon Sep 13 23:26:52 1993 too
 * Last modified: Thu Nov  4 22:32:44 1993 too
 *
 * $Id: socketbase_in_context.h,v 1.2 1993/11/17 12:06:50 too Exp $
 *
 * HISTORY
 * $Log: socketbase_in_context.h,v $
 * Revision 1.2  1993/11/17  12:06:50  too
 * some new defines
 *
 * Revision 1.1  1993/10/24  12:50:39  too
 * Initial revision
 *
 */

#ifndef  SOCKETBASE_IN_CONTEXT_H_
#define  SOCKETBASE_IN_CONTEXT_H_

#define	   CloseSocket(r...) CloseSocket(SocketBase, r)
#define	    Dup2Socket(r...) Dup2Socket(SocketBase, r)

#define	    Inet_LnaOf(r...) Inet_LnaOf(SocketBase, r)
#define	 Inet_MakeAddr(r...) Inet_MakeAddr(SocketBase, r)
#define	    Inet_NetOf(r...) Inet_NetOf(SocketBase, r)
#define	     Inet_NtoA(r...) Inet_NtoA(SocketBase, r)

#define	   IoctlSocket(r...) IoctlSocket(SocketBase, r)

#define	  ObtainSocket(r...) ObtainSocket(SocketBase, r)

#define  SetDTableSize(r...) SetDTableSize(SocketBase, r)

#define		Syslog(r...) Syslog(SocketBase, r)

#define	    WaitSelect(r...) WaitSelect(SocketBase, r)

#define		accept(r...) accept(SocketBase, r)
#define		  bind(r...) bind(SocketBase, r)
#define	       connect(r...) connect(SocketBase, r)
#define		listen(r...) listen(SocketBase, r) 

#define	 gethostbyname(r...) gethostbyname(SocketBase, r)
#define	 getservbyname(r...) getservbyname(SocketBase, r)

#define		  recv(r...) recv(SocketBase, r)
#define		  send(r...) send(SocketBase, r)

#define	    setsockopt(r...) setsockopt(SocketBase, r)

#define		socket(r...) socket(SocketBase, r)

#endif /*  SOCKETBASE_IN_CONTEXT_H_ */
